
import { RES } from "../../module/RES";

/**
 * 旋转光
 */
export class Light extends FYGE.Sprite {
    constructor() {
        super();
        this.texture = RES.getRes("light.png");
        this.anchorTexture.set(0.5, 0.5);
        this.addEventListener(FYGE.Event.ENTER_FRAME, () => {
            this.rotation += 1;
        }, this)
    }
}